A
lgorithmique
N
umérique
D
istribuée
Private GIT Repository
projects
/
loba.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
Conclusions for performance loss.
[loba.git]
/
Experimentations
/
make_params
diff --git
a/Experimentations/make_params
b/Experimentations/make_params
index 78cf9ae9bc5bfe23d9aef5a9fbc81b975317c516..2d5c26bf20ce02f13e8b5874d793e55d94e79a9e 100755
(executable)
--- a/
Experimentations/make_params
+++ b/
Experimentations/make_params
@@
-3,7
+3,7
@@
set -e
TEMPLATE=${1:-"ag_parameters"}
set -e
TEMPLATE=${1:-"ag_parameters"}
-PREFIX=
param
+PREFIX=
${2:-"param"}
log() {
echo "-#- $@" >&2
log() {
echo "-#- $@" >&2
@@
-16,10
+16,13
@@
die() {
test -r "$TEMPLATE" || die "file not found: $TEMPLATE"
test -r "$TEMPLATE" || die "file not found: $TEMPLATE"
+source "$TEMPLATE" || die "cannot read file: $TEMPLATE"
+declare -a common_opts=( "${MORE_ARGS[@]}" )
+
for flavour in "I" "R"; do
for distrib in "1" "N"; do
for ratio in "1000:1" "100:1" "10:1" "1:1" "1:10" "1:100" "1:1000"; do
for flavour in "I" "R"; do
for distrib in "1" "N"; do
for ratio in "1000:1" "100:1" "10:1" "1:1" "1:10" "1:100" "1:1000"; do
- declare -a opts=( )
+ declare -a opts=(
"${common_opts[@]}"
)
case "$flavour" in
"I") opts+=( -Z ) ;;
"R") : ;;
case "$flavour" in
"I") opts+=( -Z ) ;;
"R") : ;;